The Advance Payment Ledger Entry object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

voucher_type string
voucher_no string
against_voucher_type string
against_voucher_no string
amount number
currency string
event string
company string
delinked boolean

Default: false

base_amount number
exchange_rate number
The Advance Payment Ledger Entry object
{
  "id": "advance-payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "currency": "USD",
  "event": "event_example",
  "company": "Example Corp",
  "delinked": false,
  "base_amount": 0,
  "exchange_rate": 0
}
GET /api/accounts/advance-payment-ledger-entry/{id}

Retrieve a advance payment ledger entry

Retrieves the details of an existing advance payment ledger entry. Supply the unique advance payment ledger entry ID that was returned from a previous request.

Path parameters

id string required

The identifier of the advance payment ledger entry to retrieve.

Returns

Returns the advance payment ledger entry object if a valid identifier was provided.

GET /api/accounts/advance-payment-ledger-entry/{id}
curl https://api.overplane.dev/api/accounts/advance-payment-ledger-entry/advance-payment-ledger-entry_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "advance-payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "currency": "USD",
  "event": "event_example",
  "company": "Example Corp",
  "delinked": false,
  "base_amount": 0,
  "exchange_rate": 0
}
GET /api/accounts/advance-payment-ledger-entry

List all advance payment ledger entrys

Returns a list of advance payment ledger entrys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of advance payment ledger entry objects.

GET /api/accounts/advance-payment-ledger-entry
curl https://api.overplane.dev/api/accounts/advance-payment-ledger-entry \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "advance-payment-ledger-entry_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "voucher_type": "voucher_type_example",
      "voucher_no": "voucher_no_example",
      "against_voucher_type": "against_voucher_type_example",
      "against_voucher_no": "against_voucher_no_example",
      "amount": 0,
      "currency": "USD",
      "event": "event_example",
      "company": "Example Corp",
      "delinked": false,
      "base_amount": 0,
      "exchange_rate": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/advance-payment-ledger-entry

Create a advance payment ledger entry

Creates a new advance payment ledger entry object.

Body parameters

status string

Default: draft

voucher_type string
voucher_no string
against_voucher_type string
against_voucher_no string
amount number
currency string
event string
company string
delinked boolean

Default: false

base_amount number
exchange_rate number

Returns

Returns the newly created advance payment ledger entry object if the call succeeded.

POST /api/accounts/advance-payment-ledger-entry
curl https://api.overplane.dev/api/accounts/advance-payment-ledger-entry \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "advance-payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "currency": "USD",
  "event": "event_example",
  "company": "Example Corp",
  "delinked": false,
  "base_amount": 0,
  "exchange_rate": 0
}
PATCH /api/accounts/advance-payment-ledger-entry/{id}

Update a advance payment ledger entry

Updates the specified advance payment ledger entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the advance payment ledger entry to update.

Body parameters

status string

Default: draft

voucher_type string
voucher_no string
against_voucher_type string
against_voucher_no string
amount number
currency string
event string
company string
delinked boolean

Default: false

base_amount number
exchange_rate number

Returns

Returns the updated advance payment ledger entry object.

PATCH /api/accounts/advance-payment-ledger-entry/{id}
curl https://api.overplane.dev/api/accounts/advance-payment-ledger-entry/advance-payment-ledger-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","voucher_type":"voucher_type_example"}'
Response
{
  "id": "advance-payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "currency": "USD",
  "event": "event_example",
  "company": "Example Corp",
  "delinked": false,
  "base_amount": 0,
  "exchange_rate": 0
}
DELETE /api/accounts/advance-payment-ledger-entry/{id}

Delete a advance payment ledger entry

Permanently deletes a advance payment ledger entry. This cannot be undone.

Path parameters

id string required

The identifier of the advance payment ledger entry to delete.

Returns

Returns a confirmation that the advance payment ledger entry has been deleted.

DELETE /api/accounts/advance-payment-ledger-entry/{id}
curl https://api.overplane.dev/api/accounts/advance-payment-ledger-entry/advance-payment-ledger-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "advance-payment-ledger-entry_abc123",
  "deleted": true
}
POST /api/accounts/advance-payment-ledger-entry/{id}/submit

Submit a advance payment ledger entry

Submits a draft advance payment ledger entry, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the advance payment ledger entry to act on.

Returns

Returns the advance payment ledger entry object with updated status.

POST /api/accounts/advance-payment-ledger-entry/{id}/submit
curl https://api.overplane.dev/api/accounts/advance-payment-ledger-entry/advance-payment-ledger-entry_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "advance-payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "currency": "USD",
  "event": "event_example",
  "company": "Example Corp",
  "delinked": false,
  "base_amount": 0,
  "exchange_rate": 0
}
POST /api/accounts/advance-payment-ledger-entry/{id}/cancel

Cancel a advance payment ledger entry

Cancels a submitted advance payment ledger entry, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the advance payment ledger entry to act on.

Returns

Returns the advance payment ledger entry object with updated status.

POST /api/accounts/advance-payment-ledger-entry/{id}/cancel
curl https://api.overplane.dev/api/accounts/advance-payment-ledger-entry/advance-payment-ledger-entry_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "advance-payment-ledger-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "against_voucher_type": "against_voucher_type_example",
  "against_voucher_no": "against_voucher_no_example",
  "amount": 0,
  "currency": "USD",
  "event": "event_example",
  "company": "Example Corp",
  "delinked": false,
  "base_amount": 0,
  "exchange_rate": 0
}